=== debian/changelog ===
kdepimlibs (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:02 +0100

kdepimlibs (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release
    - Add new symbol to libakonadi-contact4.symbols 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 19:51:53 +0200

kdepimlibs (4:4.8.1-0ubuntu1) precise; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Felix Geyer ]
  * Update symbols files.

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Wed, 07 Mar 2012 14:18:43 +0100

kdepimlibs (4:4.8.0a-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:20 +0000

kdepimlibs (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:55 +0000

kdepimlibs (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate
    - update kdepimlibs5-dev.install

  [ Felix Geyer ]
  * Update symbols files.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 21:35:15 +0100

kdepimlibs (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release
  * Add packages libkalarmcal2 and libakonadi-notes4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 14:37:07 +0000

kdepimlibs (4:4.7.3-0ubuntu2) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build with versioned boost build-depends
    - Keep bumped KDE replace versions
    - Keep kdepimlibs5 transitional package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 14:27:58 +0000

kdepimlibs (4:4.7.2-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependency on kdelibs5-dev to version 4:4.7.
  * Bump build dependency on libakonadi-dev to version 1.5.52.
  * Add libprison-dev to Build-Depends.
  * Update installed files.
  * Update symbols files.
  * Exclude kde-runtime from dh_shlibdeps results.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 09 Aug 2011 16:43:40 +0200

kdepimlibs (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 28 Oct 2011 19:32:28 +0200
